#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Try-Tiny
Version		:	0.30
Release		:	14.8.0.0%{?dist}
Summary		:	Minimal try/catch with proper preservation of $@

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Try::Tiny

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl
#-----------------------------------------------------------------------------
%description
This module provides bare bones try/catch/finally statements
that are designed to minimize common mistakes with eval blocks,
and NOTHING else.

This is unlike TryCatch which provides a nice syntax and avoids
adding another call stack layer, and supports calling return
from the try block to return from the parent subroutine. These
extra features come at a cost of a few dependencies, namely
Devel::Declare and Scope::Upper which are occasionally problematic,
and the additional catch filtering uses Moose type constraints
which may not be desirable either.

The main focus of this module is to provide simple and reliable
error handling for those having a hard time installing TryCatch,
but who still want to write correct eval blocks without 5 lines
of boilerplate each time.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes README
%{_datadir}/perl5/core_perl/Try/Tiny.pm
%{_mandir}/man3/Try::Tiny.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
